<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:stream="http://www.data-structures.org/stream/" 
               xmlns:xs="http://www.w3.org/2001/XMLSchema"
               version="2.0">
    
    <!--
        Utilities for the Stream Functions
        Author: Roger L. Costello
        Date: September 11, 2010 
        Version 1.0       
    -->
    
    <xsl:function name="stream:construct" as="item()*">
        <xsl:param name="a" as="item()"/>
        <xsl:param name="b" as="item()*"/>
        
        <xsl:sequence select="($a, $delay, $b)" />
        
    </xsl:function>
    
    
    <xsl:variable name="the-empty-stream" as="element()"><stream:the-empty-stream /></xsl:variable>
        

    <xsl:function name="stream:force" as="item()*">
        <xsl:param name="proc" as="element()" />
        <xsl:param name="stream" as="item()*"/>
                
        <xsl:apply-templates select="$proc">
            <xsl:with-param name="stream" select="$stream" />
        </xsl:apply-templates>
        
    </xsl:function>
    
    
    <xsl:variable name="delay" as="element()"><stream:delay/></xsl:variable>


</xsl:transform>